Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network68.0.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
68.0.64.0
Broadcast address
68.0.127.255
First usable
68.0.64.1
Last usable
68.0.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 44004000 · Integer 1140867072 to 1140883455
Reverse DNS zones
64.0.68.in-addr.arpa
65.0.68.in-addr.arpa
66.0.68.in-addr.arpa
67.0.68.in-addr.arpa
68.0.68.in-addr.arpa
69.0.68.in-addr.arpa
70.0.68.in-addr.arpa
71.0.68.in-addr.arpa
72.0.68.in-addr.arpa
73.0.68.in-addr.arpa
74.0.68.in-addr.arpa
75.0.68.in-addr.arpa
76.0.68.in-addr.arpa
77.0.68.in-addr.arpa
78.0.68.in-addr.arpa
79.0.68.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000100.00000000.01000000.0000000068.0.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01000100.00000000.01000000.0000000068.0.64.0
Broadcast01000100.00000000.01111111.1111111168.0.127.255
Split into smaller subnets/25

68.0.64.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
168.0.64.0/2568.0.64.1 to 68.0.64.12668.0.64.127126
268.0.64.128/2568.0.64.129 to 68.0.64.25468.0.64.255126
368.0.65.0/2568.0.65.1 to 68.0.65.12668.0.65.127126
468.0.65.128/2568.0.65.129 to 68.0.65.25468.0.65.255126
568.0.66.0/2568.0.66.1 to 68.0.66.12668.0.66.127126
668.0.66.128/2568.0.66.129 to 68.0.66.25468.0.66.255126
768.0.67.0/2568.0.67.1 to 68.0.67.12668.0.67.127126
868.0.67.128/2568.0.67.129 to 68.0.67.25468.0.67.255126
968.0.68.0/2568.0.68.1 to 68.0.68.12668.0.68.127126
1068.0.68.128/2568.0.68.129 to 68.0.68.25468.0.68.255126
1168.0.69.0/2568.0.69.1 to 68.0.69.12668.0.69.127126
1268.0.69.128/2568.0.69.129 to 68.0.69.25468.0.69.255126
1368.0.70.0/2568.0.70.1 to 68.0.70.12668.0.70.127126
1468.0.70.128/2568.0.70.129 to 68.0.70.25468.0.70.255126
1568.0.71.0/2568.0.71.1 to 68.0.71.12668.0.71.127126
1668.0.71.128/2568.0.71.129 to 68.0.71.25468.0.71.255126
1768.0.72.0/2568.0.72.1 to 68.0.72.12668.0.72.127126
1868.0.72.128/2568.0.72.129 to 68.0.72.25468.0.72.255126
1968.0.73.0/2568.0.73.1 to 68.0.73.12668.0.73.127126
2068.0.73.128/2568.0.73.129 to 68.0.73.25468.0.73.255126
2168.0.74.0/2568.0.74.1 to 68.0.74.12668.0.74.127126
2268.0.74.128/2568.0.74.129 to 68.0.74.25468.0.74.255126
2368.0.75.0/2568.0.75.1 to 68.0.75.12668.0.75.127126
2468.0.75.128/2568.0.75.129 to 68.0.75.25468.0.75.255126
2568.0.76.0/2568.0.76.1 to 68.0.76.12668.0.76.127126
2668.0.76.128/2568.0.76.129 to 68.0.76.25468.0.76.255126
2768.0.77.0/2568.0.77.1 to 68.0.77.12668.0.77.127126
2868.0.77.128/2568.0.77.129 to 68.0.77.25468.0.77.255126
2968.0.78.0/2568.0.78.1 to 68.0.78.12668.0.78.127126
3068.0.78.128/2568.0.78.129 to 68.0.78.25468.0.78.255126
3168.0.79.0/2568.0.79.1 to 68.0.79.12668.0.79.127126
3268.0.79.128/2568.0.79.129 to 68.0.79.25468.0.79.255126
3368.0.80.0/2568.0.80.1 to 68.0.80.12668.0.80.127126
3468.0.80.128/2568.0.80.129 to 68.0.80.25468.0.80.255126
3568.0.81.0/2568.0.81.1 to 68.0.81.12668.0.81.127126
3668.0.81.128/2568.0.81.129 to 68.0.81.25468.0.81.255126
3768.0.82.0/2568.0.82.1 to 68.0.82.12668.0.82.127126
3868.0.82.128/2568.0.82.129 to 68.0.82.25468.0.82.255126
3968.0.83.0/2568.0.83.1 to 68.0.83.12668.0.83.127126
4068.0.83.128/2568.0.83.129 to 68.0.83.25468.0.83.255126
4168.0.84.0/2568.0.84.1 to 68.0.84.12668.0.84.127126
4268.0.84.128/2568.0.84.129 to 68.0.84.25468.0.84.255126
4368.0.85.0/2568.0.85.1 to 68.0.85.12668.0.85.127126
4468.0.85.128/2568.0.85.129 to 68.0.85.25468.0.85.255126
4568.0.86.0/2568.0.86.1 to 68.0.86.12668.0.86.127126
4668.0.86.128/2568.0.86.129 to 68.0.86.25468.0.86.255126
4768.0.87.0/2568.0.87.1 to 68.0.87.12668.0.87.127126
4868.0.87.128/2568.0.87.129 to 68.0.87.25468.0.87.255126
4968.0.88.0/2568.0.88.1 to 68.0.88.12668.0.88.127126
5068.0.88.128/2568.0.88.129 to 68.0.88.25468.0.88.255126
5168.0.89.0/2568.0.89.1 to 68.0.89.12668.0.89.127126
5268.0.89.128/2568.0.89.129 to 68.0.89.25468.0.89.255126
5368.0.90.0/2568.0.90.1 to 68.0.90.12668.0.90.127126
5468.0.90.128/2568.0.90.129 to 68.0.90.25468.0.90.255126
5568.0.91.0/2568.0.91.1 to 68.0.91.12668.0.91.127126
5668.0.91.128/2568.0.91.129 to 68.0.91.25468.0.91.255126
5768.0.92.0/2568.0.92.1 to 68.0.92.12668.0.92.127126
5868.0.92.128/2568.0.92.129 to 68.0.92.25468.0.92.255126
5968.0.93.0/2568.0.93.1 to 68.0.93.12668.0.93.127126
6068.0.93.128/2568.0.93.129 to 68.0.93.25468.0.93.255126
6168.0.94.0/2568.0.94.1 to 68.0.94.12668.0.94.127126
6268.0.94.128/2568.0.94.129 to 68.0.94.25468.0.94.255126
6368.0.95.0/2568.0.95.1 to 68.0.95.12668.0.95.127126
6468.0.95.128/2568.0.95.129 to 68.0.95.25468.0.95.255126
6568.0.96.0/2568.0.96.1 to 68.0.96.12668.0.96.127126
6668.0.96.128/2568.0.96.129 to 68.0.96.25468.0.96.255126
6768.0.97.0/2568.0.97.1 to 68.0.97.12668.0.97.127126
6868.0.97.128/2568.0.97.129 to 68.0.97.25468.0.97.255126
6968.0.98.0/2568.0.98.1 to 68.0.98.12668.0.98.127126
7068.0.98.128/2568.0.98.129 to 68.0.98.25468.0.98.255126
7168.0.99.0/2568.0.99.1 to 68.0.99.12668.0.99.127126
7268.0.99.128/2568.0.99.129 to 68.0.99.25468.0.99.255126
7368.0.100.0/2568.0.100.1 to 68.0.100.12668.0.100.127126
7468.0.100.128/2568.0.100.129 to 68.0.100.25468.0.100.255126
7568.0.101.0/2568.0.101.1 to 68.0.101.12668.0.101.127126
7668.0.101.128/2568.0.101.129 to 68.0.101.25468.0.101.255126
7768.0.102.0/2568.0.102.1 to 68.0.102.12668.0.102.127126
7868.0.102.128/2568.0.102.129 to 68.0.102.25468.0.102.255126
7968.0.103.0/2568.0.103.1 to 68.0.103.12668.0.103.127126
8068.0.103.128/2568.0.103.129 to 68.0.103.25468.0.103.255126
8168.0.104.0/2568.0.104.1 to 68.0.104.12668.0.104.127126
8268.0.104.128/2568.0.104.129 to 68.0.104.25468.0.104.255126
8368.0.105.0/2568.0.105.1 to 68.0.105.12668.0.105.127126
8468.0.105.128/2568.0.105.129 to 68.0.105.25468.0.105.255126
8568.0.106.0/2568.0.106.1 to 68.0.106.12668.0.106.127126
8668.0.106.128/2568.0.106.129 to 68.0.106.25468.0.106.255126
8768.0.107.0/2568.0.107.1 to 68.0.107.12668.0.107.127126
8868.0.107.128/2568.0.107.129 to 68.0.107.25468.0.107.255126
8968.0.108.0/2568.0.108.1 to 68.0.108.12668.0.108.127126
9068.0.108.128/2568.0.108.129 to 68.0.108.25468.0.108.255126
9168.0.109.0/2568.0.109.1 to 68.0.109.12668.0.109.127126
9268.0.109.128/2568.0.109.129 to 68.0.109.25468.0.109.255126
9368.0.110.0/2568.0.110.1 to 68.0.110.12668.0.110.127126
9468.0.110.128/2568.0.110.129 to 68.0.110.25468.0.110.255126
9568.0.111.0/2568.0.111.1 to 68.0.111.12668.0.111.127126
9668.0.111.128/2568.0.111.129 to 68.0.111.25468.0.111.255126
9768.0.112.0/2568.0.112.1 to 68.0.112.12668.0.112.127126
9868.0.112.128/2568.0.112.129 to 68.0.112.25468.0.112.255126
9968.0.113.0/2568.0.113.1 to 68.0.113.12668.0.113.127126
10068.0.113.128/2568.0.113.129 to 68.0.113.25468.0.113.255126
10168.0.114.0/2568.0.114.1 to 68.0.114.12668.0.114.127126
10268.0.114.128/2568.0.114.129 to 68.0.114.25468.0.114.255126
10368.0.115.0/2568.0.115.1 to 68.0.115.12668.0.115.127126
10468.0.115.128/2568.0.115.129 to 68.0.115.25468.0.115.255126
10568.0.116.0/2568.0.116.1 to 68.0.116.12668.0.116.127126
10668.0.116.128/2568.0.116.129 to 68.0.116.25468.0.116.255126
10768.0.117.0/2568.0.117.1 to 68.0.117.12668.0.117.127126
10868.0.117.128/2568.0.117.129 to 68.0.117.25468.0.117.255126
10968.0.118.0/2568.0.118.1 to 68.0.118.12668.0.118.127126
11068.0.118.128/2568.0.118.129 to 68.0.118.25468.0.118.255126
11168.0.119.0/2568.0.119.1 to 68.0.119.12668.0.119.127126
11268.0.119.128/2568.0.119.129 to 68.0.119.25468.0.119.255126
11368.0.120.0/2568.0.120.1 to 68.0.120.12668.0.120.127126
11468.0.120.128/2568.0.120.129 to 68.0.120.25468.0.120.255126
11568.0.121.0/2568.0.121.1 to 68.0.121.12668.0.121.127126
11668.0.121.128/2568.0.121.129 to 68.0.121.25468.0.121.255126
11768.0.122.0/2568.0.122.1 to 68.0.122.12668.0.122.127126
11868.0.122.128/2568.0.122.129 to 68.0.122.25468.0.122.255126
11968.0.123.0/2568.0.123.1 to 68.0.123.12668.0.123.127126
12068.0.123.128/2568.0.123.129 to 68.0.123.25468.0.123.255126
12168.0.124.0/2568.0.124.1 to 68.0.124.12668.0.124.127126
12268.0.124.128/2568.0.124.129 to 68.0.124.25468.0.124.255126
12368.0.125.0/2568.0.125.1 to 68.0.125.12668.0.125.127126
12468.0.125.128/2568.0.125.129 to 68.0.125.25468.0.125.255126
12568.0.126.0/2568.0.126.1 to 68.0.126.12668.0.126.127126
12668.0.126.128/2568.0.126.129 to 68.0.126.25468.0.126.255126
12768.0.127.0/2568.0.127.1 to 68.0.127.12668.0.127.127126
12868.0.127.128/2568.0.127.129 to 68.0.127.25468.0.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses